deb2snap.json contains gnome-3-34-1804 in the seeded section

Bug #1981485 reported by Brian Murray
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ubuntu-release-upgrader (Ubuntu)
Fix Released
High
Brian Murray
Jammy
Fix Released
High
Brian Murray
Kinetic
Fix Released
High
Brian Murray

Bug Description

[Description]
The snap gnome-3-34-1804 is no longer seeded in Ubuntu 22.04 but the distribution upgrade process is not aware of this and will leave the snap installed after the upgrade.

[Test Plan]
Test 1
------
Using the dist-upgrader tarball from http://archive.ubuntu.com/ubuntu/dists/jammy-proposed/main/dist-upgrader-all/current/ on an Ubuntu 20.04 LTS system upgrade to Ubuntu 22.04 LTS. (Using the tarball is necessary because one cannot use 'do-release-upgrade -d and -p' simultaneously.) The tarball should be manually extracted into /tmp/ and the file (or symlink) named 'jammy' should be executed.

After the upgrade completes the snap gnome-3-34-1804 should no long be installed. (Check out output of snap list and also check /var/log/dist-upgrade/main.log for the message "removing snap gnome-3-34-1804".)

Test 2
------
Complete the same test as above but before upgrading install the slack snap. After the upgrade completes gnome-3-34-1804 should still be installed and the slack snap should still launch.

[Regression Potential]
Other snaps may depend on the gnome-3-34-1804 snap (slack for instance) and removing gnome-3-34-1804 would then make those snaps unusable. Subsequently, the test plan involves installing the slack snap and then upgrading and ensuring it still launches.

Original Description
--------------------
During an upgrade from Ubuntu 20.04 to Ubuntu 22.04 I noticed the following in the log:

2022-07-12 12:11:02,144 DEBUG install of snap firefox succeeded
2022-07-12 12:11:02,735 DEBUG refresh of snap gnome-3-34-1804 failed
2022-07-12 12:11:03,372 DEBUG refresh of snap gtk-common-themes succeeded

The refresh of the snap gnome-3-34-1804 failed because there is no ubuntu-22.04 channel for it. I don't think the snap is needed any longer and it should switch from the "seeded" section to the "unseeded" section in deb2snap.json.

Related branches

Changed in ubuntu-release-upgrader (Ubuntu):
milestone: none → ubuntu-22.04.1
tags: added: rls-jj-incoming
Revision history for this message
Jeremy Bicha (jbicha) wrote :

As far as I can tell, gnome-3-34-1804 is not required by any seeded snaps in Ubuntu.

This requires looking for snap: lines in
https://people.canonical.com/~ubuntu-archive/seeds/
and checking that they don't need that snap.

The Ubuntu Desktop image does not need gnome-3-34-1804 for its seeded snaps.

I saw three additional seeded snaps for other flavors:
software-boutique
ubuntu-budgie-welcome
ubuntu-mate-welcome

None of those use use any gnome content snaps.

Lukas Märdian (slyon)
tags: added: fr-2551
tags: removed: rls-jj-incoming
Changed in ubuntu-release-upgrader (Ubuntu Jammy):
milestone: none → ubuntu-22.04.1
Changed in ubuntu-release-upgrader (Ubuntu Kinetic):
milestone: ubuntu-22.04.1 → none
assignee: nobody → Brian Murray (brian-murray)
Changed in ubuntu-release-upgrader (Ubuntu Jammy):
assignee: nobody → Brian Murray (brian-murray)
Changed in ubuntu-release-upgrader (Ubuntu Jammy):
status: New → In Progress
Changed in ubuntu-release-upgrader (Ubuntu Kinetic):
status: New → In Progress
importance: Undecided → High
Changed in ubuntu-release-upgrader (Ubuntu Jammy):
importance: Undecided → High
Revision history for this message
Łukasz Zemczak (sil2100) wrote : Please test proposed package

Hello Brian, or anyone else affected,

Accepted ubuntu-release-upgrader into jammy-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/ubuntu-release-upgrader/1:22.04.12 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-jammy to verification-done-jammy. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-jammy. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in ubuntu-release-upgrader (Ubuntu Jammy):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-jammy
description: updated
Changed in ubuntu-release-upgrader (Ubuntu Jammy):
milestone: ubuntu-22.04.1 → ubuntu-22.04.2
status: Fix Committed → Triaged
Revision history for this message
Ubuntu SRU Bot (ubuntu-sru-bot) wrote : Autopkgtest regression report (ubuntu-release-upgrader/1:22.04.12)

All autopkgtests for the newly accepted ubuntu-release-upgrader (1:22.04.12) for jammy have finished running.
The following regressions have been reported in tests triggered by the package:

ubuntu-release-upgrader/1:22.04.12 (ppc64el, s390x)

Please visit the excuses page listed below and investigate the failures, proceeding afterwards as per the StableReleaseUpdates policy regarding autopkgtest regressions [1].

https://people.canonical.com/~ubuntu-archive/proposed-migration/jammy/update_excuses.html#ubuntu-release-upgrader

[1] https://wiki.ubuntu.com/StableReleaseUpdates#Autopkgtest_Regressions

Thank you!

description: updated
description: updated
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-release-upgrader - 1:22.10.6

---------------
ubuntu-release-upgrader (1:22.10.6) kinetic; urgency=medium

  * utils/demotions.py: check old-releases.u.c so that we can generate
    demotions for releases which have reached their End of Life.
  * data/DistUpgrade.cfg: remove mythbuntu and kubuntu-netbook metapackages.
  * DistUpgrade/deb2snap.json: gnome-3-34-1804 is no longer a seeded snap and
    should not be refreshed. (LP: #1981485)
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Brian Murray <email address hidden> Fri, 15 Jul 2022 14:34:14 -0700

Changed in ubuntu-release-upgrader (Ubuntu Kinetic):
status: In Progress → Fix Released
Revision history for this message
Brian Murray (brian-murray) wrote :

Test 1 completed successfully and the snap gnome-3-34-1804 was not installed any more after upgrade.

bdmurray@clean-focal-amd64:/tmp/uru$ head /var/log/dist-upgrade/main.log
2022-07-22 12:30:24,915 INFO Using config files '['./DistUpgrade.cfg.focal', '/etc/update-manager/release-upgrades.d/ubuntu-advantage-upgrades.cfg']'
2022-07-22 12:30:24,916 INFO uname information: 'Linux clean-focal-amd64 5.15.0-41-generic #44~20.04.1-Ubuntu SMP Fri Jun 24 13:27:29 UTC 2022 x86_64'
2022-07-22 12:30:25,248 INFO apt version: '2.0.9'
2022-07-22 12:30:25,248 INFO python version: '3.8.10 (default, Jun 22 2022, 20:18:18)
[GCC 9.4.0]'
2022-07-22 12:30:25,250 INFO release-upgrader version '22.04.12' started
2022-07-22 12:30:25,254 INFO locale: 'en_US' 'UTF-8'
2022-07-22 12:30:25,336 DEBUG Using 'DistUpgradeViewText' view
2022-07-22 12:30:25,377 DEBUG enable dpkg --force-overwrite
2022-07-22 12:30:25,424 DEBUG creating statefile: '/var/log/dist-upgrade/apt-clone_system_state.tar.gz'
bdmurray@clean-focal-amd64:/tmp/uru$ snap list
Name Version Rev Tracking Publisher Notes
bare 1.0 5 latest/stable canonical✓ base
core20 20220706 1581 latest/stable canonical✓ base
firefox 102.0.1-1 1551 latest/stable mozilla✓ -
gnome-3-38-2004 0+git.891e5bc 112 latest/stable/… canonical✓ -
gtk-common-themes 0.1-81-g442e511 1535 latest/stable/… canonical✓ -
snap-store 41.3-60-gfe4703a 582 latest/stable/… canonical✓ -
snapd 2.56.2 16292 latest/stable canonical✓ snapd
snapd-desktop-integration 0.1 14 latest/stable/… canonical✓ -
bdmurray@clean-focal-amd64:/tmp/uru$ cat /etc/lsb-release
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=22.04
DISTRIB_CODENAME=jammy
DISTRIB_DESCRIPTION="Ubuntu 22.04 LTS"

Revision history for this message
Brian Murray (brian-murray) wrote :

Test 2 completed successfully and the snap gnome-3-34-1804 was still installed and the slack snap was still installed and worked too.

bdmurray@clean-focal-amd64:/tmp/uru$ head /var/log/dist-upgrade/main.log
2022-07-22 14:53:47,427 INFO Using config files '['./DistUpgrade.cfg.focal', '/etc/update-manager/release-upgrades.d/ubuntu-advantage-upgrades.cfg']'
2022-07-22 14:53:47,427 INFO uname information: 'Linux clean-focal-amd64 5.15.0-41-generic #44~20.04.1-Ubuntu SMP Fri Jun 24 13:27:29 UTC 2022 x86_64'
2022-07-22 14:53:47,747 INFO apt version: '2.0.9'
2022-07-22 14:53:47,747 INFO python version: '3.8.10 (default, Jun 22 2022, 20:18:18)
[GCC 9.4.0]'
2022-07-22 14:53:47,749 INFO release-upgrader version '22.04.12' started
2022-07-22 14:53:47,753 INFO locale: 'en_US' 'UTF-8'
2022-07-22 14:53:47,838 DEBUG Using 'DistUpgradeViewText' view
2022-07-22 14:53:47,875 DEBUG enable dpkg --force-overwrite
2022-07-22 14:53:47,920 DEBUG creating statefile: '/var/log/dist-upgrade/apt-clone_system_state.tar.gz'
bdmurray@clean-focal-amd64:/tmp/uru$ snap list
Name Version Rev Tracking Publisher Notes
bare 1.0 5 latest/stable canonical✓ base
core18 20220706 2538 latest/stable canonical✓ base
core20 20220706 1581 latest/stable canonical✓ base
firefox 102.0.1-1 1551 latest/stable mozilla✓ -
gnome-3-34-1804 0+git.3556cb3 77 latest/stable canonical✓ -
gnome-3-38-2004 0+git.891e5bc 112 latest/stable/… canonical✓ -
gtk-common-themes 0.1-81-g442e511 1535 latest/stable/… canonical✓ -
slack 4.27.156 64 latest/stable slack✓ -
snap-store 41.3-60-gfe4703a 582 latest/stable/… canonical✓ -
snapd 2.56.2 16292 latest/stable canonical✓ snapd
snapd-desktop-integration 0.1 14 latest/stable/… canonical✓ -
bdmurray@clean-focal-amd64:/tmp/uru$ cat /etc/lsb-release
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=22.04
DISTRIB_CODENAME=jammy
DISTRIB_DESCRIPTION="Ubuntu 22.04 LTS"

tags: added: verification-done verification-done-jammy
removed: verification-needed verification-needed-jammy
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-release-upgrader - 1:22.04.12

---------------
ubuntu-release-upgrader (1:22.04.12) jammy; urgency=medium

  [ Brian Murray ]
  * Add support for upgrading from End of Life releases (Ubuntu 20.10 and
    Ubuntu 21.04) to Ubuntu 22.04. (LP: #1975533)
  * DistUpgrade: Do not attempt to reboot in WSL. (LP: #1958668)
  * DistUpgrade/deb2snap.json: gnome-3-34-1804 is no longer a seeded snap and
    should not be refreshed. (LP: #1981485)
  * Run pre-build.sh: updating mirrors, demotions, and translations.

  [ William 'jawn-smith' Wilson ]
  * tests/test_quirks.py: Remove declaration of unused variables

 -- Brian Murray <email address hidden> Tue, 19 Jul 2022 06:52:28 -0700

Changed in ubuntu-release-upgrader (Ubuntu Jammy):
status: Triaged → Fix Released
Revision history for this message
Łukasz Zemczak (sil2100) wrote : Update Released

The verification of the Stable Release Update for ubuntu-release-upgrader has completed successfully and the package is now being released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers